DEFINITION MODULE GemarRsc;

(* EXPORT
    cMainmenu, cMfuncs, cMinfo, cMhelp, cMlogfile, cMsave,
    cMload, cMrecbatch, cMstartbatch, cMquit, cMbackfile, cMrestfile,
    cMcompfile, cMbackimg, cMrestimg, cMreadindex, cMclearindex, cMcleanindex,
    cMindexinfo, cMreadindexfile, cMselname, cMseldate, cMselattr, cMselall,
    cMdeselall, cMwinclose, cMwindelete, cMwinrotate, cMsload, cMsunload,
    cMstrscan, cMstrcontrol, cMselfont, cMdeskparm, cMstrparm, cMbackupparm,
    cMplugins, cMregister, cMf1, cMf2, cMf3, cMf4,
    cMf5, cMf6, cMf7, cMf8, cMf9, cMf10,
    cWinmenue, cWinselname, cWinseldate, cWinselattr, cWinselall, cWindeselall,
    cWinrestore, cDesk, cDrivec, cDrivez, cStreamer, cIconify,
    cInfo, cWheels, cWheel1, cWheel2, cWheel3, cGackact,
    cInfoversion, cInfodate, cGack, cInfotype, cRegparent, cReg1,
    cReg2, cReg3, cShareparent, cInfhelp, cInfok, cIcons,
    cImage, cImparent, cImp00, cImno0, cImid00, cImstrt00,
    cImsize00, cImageslparent, cImageslup, cImageslbar, cImageslslide, cImagesldown,
    cImfull, cImdevname, cImsizefull, cImadr, cImstart, cImexit,
    cImagedat, cImrsname, cImrsfullsize, cImrsid, cImrsstrt, cImrssize,
    cImrsdate, cImrsorig, cImrsnext, cImrsstar, cImrsexit, cAdrselec,
    cAdrok, cAdrexit, cDevcirc, cDevpop, cIdcirc, cIdpop,
    cDeskparms, cDeskshowdate, cDeskshowtime, cDeskshowattrs, cDeskgdos, cDeskparmswindial,
    cDeskchardown, cDeskchar, cDeskcharup, cDeskparmsok, cDeskparmsabort, cDeskfarb,
    cDeskfarbpop, cDeskfarbcirc, cDeskrasterpop, cDeskrastercirc, cFarbpop, cFarbweiss,
    cRasterpop, cRasterhohl, cBackupparms, cBparmverbose, cBparmverify, cBparmmediach,
    cBparmclrarchbit, cBparmfirsttime, cBparmcompress, cBparmpasswd, cBparmautosort, cBparmmtask,
    cBparmindexfile, cBparmrewrite, cBparmasciiindex, cBparmrewritenew, cBparmdrivesel, cBparmpop,
    cBparmnum, cBparmpopcirc, cBparmslparent, cBparmdown, cBparmbar, cBparmslide,
    cBparmup, cBparmok, cBparmabort, cOembackupparms, cOembparmverbose, cOembparmverify,
    cOembparmmediach, cOembparmclrarchb, cOembparmcompress, cOembparmpasswd, cOembparmindexfil, cOembparmrewrite,
    cOembparmasciiind, cOembparmrewriten, cOembparmdrivesel, cOembparmpop, cOembparmnum, cOembparmpopcirc,
    cOembparmslparent, cOembparmdown, cOembparmbar, cOembparmslide, cOembparmup, cOembparmok,
    cOembparmabort, cOembparmbuffback, cOembparmbuffrest, cOembparmautosort, cBparmpopup, cBparmbackbuf,
    cBparmrestbuf, cBparmmaxmem, cBparmmaxread, cBparmdatarate, cOembparmpopup, cOembparmmaxmem,
    cOembparmmaxread, cOembparmdatarate, cStrparms, cStrpopcirc, cStrpop, cStrnum,
    cStrslparent, cStrbar, cStrslide, cStrdown, cStrup, cStrtestunit,
    cStrmodesens, cStrload, cStrlock, cStrmodeselect, cStrnoqfa, cStrblockadr,
    cStrlocate, cStrimmediate, cStrdisconnect, cStradr, cStrok, cStrabort,
    cUnhide, cOemstrparms, cOemstrpopcirc, cOemstrpop, cOemstrnum, cOemstrslparent,
    cOemstrbar, cOemstrslide, cOemstrdown, cOemstrup, cOemstrmodeselect, cOemstrqfa,
    cOemstradr, cOemstrok, cOemstrabort, cOemunhide, cStrpopup, cStrldtime,
    cStrrewtime, cStrspacetime, cStrpretime, cStrposttime, cStrdatatime, cStrblocksize,
    cOemstrpopup, cOemstrpretime, cOemstrposttime, cOemstrblocksize, cStraction, cStrend,
    cStrretens, cStrrewind, cStrtapeend, cStrerase, cBackupdial, cFullbackup,
    cIncrementbackup, cDailybackup, cShellbackup, cAppendbackup, cBackupindex, cBackupok,
    cBackupabort, cBackupcomment, cBackupinfo, cBackinfdate, cBackinffiles, cBackinfkbytes,
    cBackinftapes, cBackinfnextindex, cBackinfok, cBackinfcomment, cBackupaction, cBacktitle,
    cBackfpath, cBackfname, cBackbufsize, cBackbuffbar, cBackdatasize, cBackdatabar,
    cBackrate, cRestoredial, cRestall, cRestmarked, cRestorig, cRestdest,
    cRestok, cRestabort, cAddfiles, cAddfilesname, cAddfilesadd, cAddfilessub,
    cAddfilesrekursiv, cAddfilesok, cAddfilesabort, cAddattr, cAddattrwrprot, cAddattrhidden,
    cAddattrsystem, cAddattrarchiv, cAddattradd, cAddattrsub, cAddattrrekursiv, cAddattrok,
    cAddattrabort, cAdddate, cAdddate1valid, cAdddatedate1, cAdddatetime1, cAdddateadd,
    cAdddatesub, cAdddaterekursiv, cAdddate2valid, cAdddatedate2, cAdddatetime2, cAdddateok,
    cAdddateabort, cIndexinfo, cIndexfolders, cIndexfiles, cIndexbytes, cIndexselfolders,
    cIndexselfiles, cIndexselbytes, cPassword, cPassworduser, cPasswordpwd, cPasswordok,
    cPasswordabort, cSeldrives, cDriveselc, cDriveselz, cDriveselabort, cDriveselok,
    cDriveselall, cFontselektor, cFontok, cFontcancel, cApplyfont, cFontcirc,
    cFontpop, cSizecirc, cSizepop, cSizeedit, cFontfeld, cRegister,
    cRegname, cRegstreet, cRegcity, cRegkey, cRegok, cRegabort,
    cRegstreamer, cSearchstreamer, cSearchbox, cSelstreamer, cSelstrlist, cSelstrdown,
    cSelstrslide, cSelstrup, cSelstrabort, cSelstrok, cSelplug, cPlugitems,
    cPlugdown, cPlugslide, cPlugup, cPlugabort, cPlugok, cPluginfo,
    cPlinfslot, cPlinfname, cPlinftext, cReadindex, cReadindabort, cReadindok,
    cReadinddown, cReadindup, cReadindno, cName, cNamesource, cNamedest,
    cNameskip, cNamereplace, cNameabort, cNameok, cNomorewindows; *)


CONST

    cMainmenu =   0;    (* Menuebaum *)
    cMfuncs   =   9;    (* TITLE in Baum MAINMENU *)
    cMinfo    =  12;    (* STRING in Baum MAINMENU *)
    cMhelp    =  21;    (* STRING in Baum MAINMENU *)
    cMlogfile =  22;    (* STRING in Baum MAINMENU *)
    cMsave    =  24;    (* STRING in Baum MAINMENU *)
    cMload    =  25;    (* STRING in Baum MAINMENU *)
    cMrecbatch =  27;    (* STRING in Baum MAINMENU *)
    cMstartbatch =  28;    (* STRING in Baum MAINMENU *)
    cMquit    =  30;    (* STRING in Baum MAINMENU *)
    cMbackfile =  33;    (* STRING in Baum MAINMENU *)
    cMrestfile =  34;    (* STRING in Baum MAINMENU *)
    cMcompfile =  35;    (* STRING in Baum MAINMENU *)
    cMbackimg =  37;    (* STRING in Baum MAINMENU *)
    cMrestimg =  38;    (* STRING in Baum MAINMENU *)
    cMreadindex =  41;    (* STRING in Baum MAINMENU *)
    cMclearindex =  42;    (* STRING in Baum MAINMENU *)
    cMcleanindex =  43;    (* STRING in Baum MAINMENU *)
    cMindexinfo =  44;    (* STRING in Baum MAINMENU *)
    cMreadindexfile =  45;    (* STRING in Baum MAINMENU *)
    cMselname =  47;    (* STRING in Baum MAINMENU *)
    cMseldate =  48;    (* STRING in Baum MAINMENU *)
    cMselattr =  49;    (* STRING in Baum MAINMENU *)
    cMselall  =  50;    (* STRING in Baum MAINMENU *)
    cMdeselall =  51;    (* STRING in Baum MAINMENU *)
    cMwinclose =  53;    (* STRING in Baum MAINMENU *)
    cMwindelete =  54;    (* STRING in Baum MAINMENU *)
    cMwinrotate =  55;    (* STRING in Baum MAINMENU *)
    cMsload   =  57;    (* STRING in Baum MAINMENU *)
    cMsunload =  58;    (* STRING in Baum MAINMENU *)
    cMstrscan =  59;    (* STRING in Baum MAINMENU *)
    cMstrcontrol =  60;    (* STRING in Baum MAINMENU *)
    cMselfont =  62;    (* STRING in Baum MAINMENU *)
    cMdeskparm =  64;    (* STRING in Baum MAINMENU *)
    cMstrparm =  65;    (* STRING in Baum MAINMENU *)
    cMbackupparm =  66;    (* STRING in Baum MAINMENU *)
    cMplugins =  67;    (* STRING in Baum MAINMENU *)
    cMregister =  68;    (* STRING in Baum MAINMENU *)
    cMf1      =  70;    (* STRING in Baum MAINMENU *)
    cMf2      =  71;    (* STRING in Baum MAINMENU *)
    cMf3      =  72;    (* STRING in Baum MAINMENU *)
    cMf4      =  73;    (* STRING in Baum MAINMENU *)
    cMf5      =  74;    (* STRING in Baum MAINMENU *)
    cMf6      =  75;    (* STRING in Baum MAINMENU *)
    cMf7      =  76;    (* STRING in Baum MAINMENU *)
    cMf8      =  77;    (* STRING in Baum MAINMENU *)
    cMf9      =  78;    (* STRING in Baum MAINMENU *)
    cMf10     =  79;    (* STRING in Baum MAINMENU *)

    cWinmenue =   1;    (* Menuebaum *)
    cWinselname =   8;    (* STRING in Baum WINMENUE *)
    cWinseldate =   9;    (* STRING in Baum WINMENUE *)
    cWinselattr =  10;    (* STRING in Baum WINMENUE *)
    cWinselall =  12;    (* STRING in Baum WINMENUE *)
    cWindeselall =  13;    (* STRING in Baum WINMENUE *)
    cWinrestore =  15;    (* STRING in Baum WINMENUE *)

    cDesk     =   2;    (* Formular/Dialog *)
    cDrivec   =   1;    (* IBOX in Baum DESK *)
    cDrivez   =  24;    (* IBOX in Baum DESK *)
    cStreamer =  25;    (* IBOX in Baum DESK *)

    cIconify  =   3;    (* Formular/Dialog *)

    cInfo     =   4;    (* Formular/Dialog *)
    cWheels   =   5;    (* ICON in Baum INFO *)
    cWheel1   =   6;    (* ICON in Baum INFO *)
    cWheel2   =   7;    (* ICON in Baum INFO *)
    cWheel3   =   8;    (* ICON in Baum INFO *)
    cGackact  =   9;    (* IMAGE in Baum INFO *)
    cInfoversion =  11;    (* TEXT in Baum INFO *)
    cInfodate =  12;    (* TEXT in Baum INFO *)
    cGack     =  13;    (* IMAGE in Baum INFO *)
    cInfotype =  14;    (* TEXT in Baum INFO *)
    cRegparent =  15;    (* IBOX in Baum INFO *)
    cReg1     =  17;    (* TEXT in Baum INFO *)
    cReg2     =  18;    (* TEXT in Baum INFO *)
    cReg3     =  19;    (* TEXT in Baum INFO *)
    cShareparent =  20;    (* IBOX in Baum INFO *)
    cInfhelp  =  30;    (* BUTTON in Baum INFO *)
    cInfok    =  31;    (* BUTTON in Baum INFO *)

    cIcons    =   5;    (* Formular/Dialog *)

    cImage    =   6;    (* Formular/Dialog *)
    cImparent =   3;    (* BUTTON in Baum IMAGE *)
    cImp00    =   4;    (* BUTTON in Baum IMAGE *)
    cImno0    =   8;    (* TEXT in Baum IMAGE *)
    cImid00   =  12;    (* TEXT in Baum IMAGE *)
    cImstrt00 =  17;    (* TEXT in Baum IMAGE *)
    cImsize00 =  22;    (* TEXT in Baum IMAGE *)
    cImageslparent =  27;    (* IBOX in Baum IMAGE *)
    cImageslup =  28;    (* BOXCHAR in Baum IMAGE *)
    cImageslbar =  29;    (* BOX in Baum IMAGE *)
    cImageslslide =  30;    (* BOXCHAR in Baum IMAGE *)
    cImagesldown =  31;    (* BOXCHAR in Baum IMAGE *)
    cImfull   =  32;    (* BUTTON in Baum IMAGE *)
    cImdevname =  33;    (* TEXT in Baum IMAGE *)
    cImsizefull =  34;    (* TEXT in Baum IMAGE *)
    cImadr    =  35;    (* BUTTON in Baum IMAGE *)
    cImstart  =  37;    (* BUTTON in Baum IMAGE *)
    cImexit   =  38;    (* BUTTON in Baum IMAGE *)

    cImagedat =   7;    (* Formular/Dialog *)
    cImrsname =   5;    (* TEXT in Baum IMAGEDAT *)
    cImrsfullsize =   6;    (* TEXT in Baum IMAGEDAT *)
    cImrsid   =   9;    (* STRING in Baum IMAGEDAT *)
    cImrsstrt =  11;    (* STRING in Baum IMAGEDAT *)
    cImrssize =  13;    (* STRING in Baum IMAGEDAT *)
    cImrsdate =  15;    (* STRING in Baum IMAGEDAT *)
    cImrsorig =  17;    (* BUTTON in Baum IMAGEDAT *)
    cImrsnext =  18;    (* BUTTON in Baum IMAGEDAT *)
    cImrsstar =  19;    (* BUTTON in Baum IMAGEDAT *)
    cImrsexit =  20;    (* BUTTON in Baum IMAGEDAT *)

    cAdrselec =   8;    (* Formular/Dialog *)
    cAdrok    =   4;    (* BUTTON in Baum ADRSELEC *)
    cAdrexit  =   5;    (* BUTTON in Baum ADRSELEC *)
    cDevcirc  =   7;    (* BOXCHAR in Baum ADRSELEC *)
    cDevpop   =   8;    (* BOXTEXT in Baum ADRSELEC *)
    cIdcirc   =  11;    (* BOXCHAR in Baum ADRSELEC *)
    cIdpop    =  12;    (* BOXTEXT in Baum ADRSELEC *)

    cDeskparms =   9;    (* Formular/Dialog *)
    cDeskshowdate =   4;    (* BUTTON in Baum DESKPARMS *)
    cDeskshowtime =   5;    (* BUTTON in Baum DESKPARMS *)
    cDeskshowattrs =   6;    (* BUTTON in Baum DESKPARMS *)
    cDeskgdos =   8;    (* BUTTON in Baum DESKPARMS *)
    cDeskparmswindial =   9;    (* BUTTON in Baum DESKPARMS *)
    cDeskchardown =  12;    (* BOXCHAR in Baum DESKPARMS *)
    cDeskchar =  13;    (* BOXCHAR in Baum DESKPARMS *)
    cDeskcharup =  14;    (* BOXCHAR in Baum DESKPARMS *)
    cDeskparmsok =  16;    (* BUTTON in Baum DESKPARMS *)
    cDeskparmsabort =  17;    (* BUTTON in Baum DESKPARMS *)
    cDeskfarb =  20;    (* BOX in Baum DESKPARMS *)
    cDeskfarbpop =  21;    (* BOXTEXT in Baum DESKPARMS *)
    cDeskfarbcirc =  22;    (* BOXCHAR in Baum DESKPARMS *)
    cDeskrasterpop =  24;    (* BOX in Baum DESKPARMS *)
    cDeskrastercirc =  25;    (* BOXCHAR in Baum DESKPARMS *)

    cFarbpop  =  10;    (* Formular/Dialog *)
    cFarbweiss =   2;    (* TEXT in Baum FARBPOP *)

    cRasterpop =  11;    (* Formular/Dialog *)
    cRasterhohl =   1;    (* BOX in Baum RASTERPOP *)

    cBackupparms =  12;    (* Formular/Dialog *)
    cBparmverbose =   3;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmverify =   4;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmmediach =   5;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmclrarchbit =   6;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmfirsttime =   7;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmcompress =   8;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmpasswd =   9;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmautosort =  10;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmmtask =  11;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmindexfile =  12;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmrewrite =  13;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmasciiindex =  14;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmrewritenew =  15;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmdrivesel =  16;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmpop =  19;    (* BOXTEXT in Baum BACKUPPARMS *)
    cBparmnum =  20;    (* TEXT in Baum BACKUPPARMS *)
    cBparmpopcirc =  21;    (* BOXCHAR in Baum BACKUPPARMS *)
    cBparmslparent =  22;    (* IBOX in Baum BACKUPPARMS *)
    cBparmdown =  23;    (* BOXCHAR in Baum BACKUPPARMS *)
    cBparmbar =  24;    (* BOX in Baum BACKUPPARMS *)
    cBparmslide =  25;    (* BOXCHAR in Baum BACKUPPARMS *)
    cBparmup  =  26;    (* BOXCHAR in Baum BACKUPPARMS *)
    cBparmok  =  28;    (* BUTTON in Baum BACKUPPARMS *)
    cBparmabort =  29;    (* BUTTON in Baum BACKUPPARMS *)

    cOembackupparms =  13;    (* Formular/Dialog *)
    cOembparmverbose =   3;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmverify =   4;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmmediach =   5;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmclrarchb =   6;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmcompress =   7;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmpasswd =   8;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmindexfil =   9;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmrewrite =  10;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmasciiind =  11;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmrewriten =  12;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmdrivesel =  13;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmpop =  16;    (* BOXTEXT in Baum OEMBACKUPPARMS *)
    cOembparmnum =  17;    (* TEXT in Baum OEMBACKUPPARMS *)
    cOembparmpopcirc =  18;    (* BOXCHAR in Baum OEMBACKUPPARMS *)
    cOembparmslparent =  19;    (* IBOX in Baum OEMBACKUPPARMS *)
    cOembparmdown =  20;    (* BOXCHAR in Baum OEMBACKUPPARMS *)
    cOembparmbar =  21;    (* BOX in Baum OEMBACKUPPARMS *)
    cOembparmslide =  22;    (* BOXCHAR in Baum OEMBACKUPPARMS *)
    cOembparmup =  23;    (* BOXCHAR in Baum OEMBACKUPPARMS *)
    cOembparmok =  25;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmabort =  26;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmbuffback =  27;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmbuffrest =  28;    (* BUTTON in Baum OEMBACKUPPARMS *)
    cOembparmautosort =  29;    (* BUTTON in Baum OEMBACKUPPARMS *)

    cBparmpopup =  14;    (* Formular/Dialog *)
    cBparmbackbuf =   1;    (* FTEXT in Baum BPARMPOPUP *)
    cBparmrestbuf =   2;    (* FTEXT in Baum BPARMPOPUP *)
    cBparmmaxmem =   3;    (* FTEXT in Baum BPARMPOPUP *)
    cBparmmaxread =   4;    (* FTEXT in Baum BPARMPOPUP *)
    cBparmdatarate =   5;    (* FTEXT in Baum BPARMPOPUP *)

    cOembparmpopup =  15;    (* Formular/Dialog *)
    cOembparmmaxmem =   1;    (* FTEXT in Baum OEMBPARMPOPUP *)
    cOembparmmaxread =   2;    (* FTEXT in Baum OEMBPARMPOPUP *)
    cOembparmdatarate =   3;    (* FTEXT in Baum OEMBPARMPOPUP *)

    cStrparms =  16;    (* Formular/Dialog *)
    cStrpopcirc =   5;    (* BOXCHAR in Baum STRPARMS *)
    cStrpop   =   6;    (* BOXTEXT in Baum STRPARMS *)
    cStrnum   =   7;    (* TEXT in Baum STRPARMS *)
    cStrslparent =   8;    (* IBOX in Baum STRPARMS *)
    cStrbar   =   9;    (* BOX in Baum STRPARMS *)
    cStrslide =  10;    (* BOXCHAR in Baum STRPARMS *)
    cStrdown  =  11;    (* BOXCHAR in Baum STRPARMS *)
    cStrup    =  12;    (* BOXCHAR in Baum STRPARMS *)
    cStrtestunit =  14;    (* BUTTON in Baum STRPARMS *)
    cStrmodesens =  15;    (* BUTTON in Baum STRPARMS *)
    cStrload  =  16;    (* BUTTON in Baum STRPARMS *)
    cStrlock  =  17;    (* BUTTON in Baum STRPARMS *)
    cStrmodeselect =  18;    (* BUTTON in Baum STRPARMS *)
    cStrnoqfa =  20;    (* BUTTON in Baum STRPARMS *)
    cStrblockadr =  21;    (* BUTTON in Baum STRPARMS *)
    cStrlocate =  22;    (* BUTTON in Baum STRPARMS *)
    cStrimmediate =  23;    (* BUTTON in Baum STRPARMS *)
    cStrdisconnect =  24;    (* BUTTON in Baum STRPARMS *)
    cStradr   =  25;    (* BUTTON in Baum STRPARMS *)
    cStrok    =  27;    (* BUTTON in Baum STRPARMS *)
    cStrabort =  28;    (* BUTTON in Baum STRPARMS *)
    cUnhide   =  29;    (* IBOX in Baum STRPARMS *)

    cOemstrparms =  17;    (* Formular/Dialog *)
    cOemstrpopcirc =   5;    (* BOXCHAR in Baum OEMSTRPARMS *)
    cOemstrpop =   6;    (* BOXTEXT in Baum OEMSTRPARMS *)
    cOemstrnum =   7;    (* TEXT in Baum OEMSTRPARMS *)
    cOemstrslparent =   8;    (* IBOX in Baum OEMSTRPARMS *)
    cOemstrbar =   9;    (* BOX in Baum OEMSTRPARMS *)
    cOemstrslide =  10;    (* BOXCHAR in Baum OEMSTRPARMS *)
    cOemstrdown =  11;    (* BOXCHAR in Baum OEMSTRPARMS *)
    cOemstrup =  12;    (* BOXCHAR in Baum OEMSTRPARMS *)
    cOemstrmodeselect =  13;    (* BUTTON in Baum OEMSTRPARMS *)
    cOemstrqfa =  14;    (* BUTTON in Baum OEMSTRPARMS *)
    cOemstradr =  15;    (* BUTTON in Baum OEMSTRPARMS *)
    cOemstrok =  17;    (* BUTTON in Baum OEMSTRPARMS *)
    cOemstrabort =  18;    (* BUTTON in Baum OEMSTRPARMS *)
    cOemunhide =  19;    (* IBOX in Baum OEMSTRPARMS *)

    cStrpopup =  18;    (* Formular/Dialog *)
    cStrldtime =   1;    (* FTEXT in Baum STRPOPUP *)
    cStrrewtime =   2;    (* FTEXT in Baum STRPOPUP *)
    cStrspacetime =   3;    (* FTEXT in Baum STRPOPUP *)
    cStrpretime =   4;    (* FTEXT in Baum STRPOPUP *)
    cStrposttime =   5;    (* FTEXT in Baum STRPOPUP *)
    cStrdatatime =   6;    (* FTEXT in Baum STRPOPUP *)
    cStrblocksize =   7;    (* FTEXT in Baum STRPOPUP *)

    cOemstrpopup =  19;    (* Formular/Dialog *)
    cOemstrpretime =   1;    (* FTEXT in Baum OEMSTRPOPUP *)
    cOemstrposttime =   2;    (* FTEXT in Baum OEMSTRPOPUP *)
    cOemstrblocksize =   3;    (* FTEXT in Baum OEMSTRPOPUP *)

    cStraction =  20;    (* Formular/Dialog *)
    cStrend   =   4;    (* BUTTON in Baum STRACTION *)
    cStrretens =   5;    (* USERDEF in Baum STRACTION *)
    cStrrewind =   6;    (* USERDEF in Baum STRACTION *)
    cStrtapeend =   7;    (* USERDEF in Baum STRACTION *)
    cStrerase =   8;    (* USERDEF in Baum STRACTION *)

    cBackupdial =  21;    (* Formular/Dialog *)
    cFullbackup =   4;    (* BUTTON in Baum BACKUPDIAL *)
    cIncrementbackup =   5;    (* BUTTON in Baum BACKUPDIAL *)
    cDailybackup =   6;    (* BUTTON in Baum BACKUPDIAL *)
    cShellbackup =   7;    (* BUTTON in Baum BACKUPDIAL *)
    cAppendbackup =   8;    (* BUTTON in Baum BACKUPDIAL *)
    cBackupindex =  10;    (* BUTTON in Baum BACKUPDIAL *)
    cBackupok =  11;    (* BUTTON in Baum BACKUPDIAL *)
    cBackupabort =  12;    (* BUTTON in Baum BACKUPDIAL *)
    cBackupcomment =  14;    (* FTEXT in Baum BACKUPDIAL *)

    cBackupinfo =  22;    (* Formular/Dialog *)
    cBackinfdate =   4;    (* STRING in Baum BACKUPINFO *)
    cBackinffiles =   6;    (* FTEXT in Baum BACKUPINFO *)
    cBackinfkbytes =   7;    (* FTEXT in Baum BACKUPINFO *)
    cBackinftapes =   8;    (* FTEXT in Baum BACKUPINFO *)
    cBackinfnextindex =  10;    (* BUTTON in Baum BACKUPINFO *)
    cBackinfok =  11;    (* BUTTON in Baum BACKUPINFO *)
    cBackinfcomment =  12;    (* FTEXT in Baum BACKUPINFO *)

    cBackupaction =  23;    (* Formular/Dialog *)
    cBacktitle =   1;    (* STRING in Baum BACKUPACTION *)
    cBackfpath =   3;    (* TEXT in Baum BACKUPACTION *)
    cBackfname =   5;    (* TEXT in Baum BACKUPACTION *)
    cBackbufsize =   7;    (* TEXT in Baum BACKUPACTION *)
    cBackbuffbar =  10;    (* BOX in Baum BACKUPACTION *)
    cBackdatasize =  12;    (* TEXT in Baum BACKUPACTION *)
    cBackdatabar =  15;    (* BOX in Baum BACKUPACTION *)
    cBackrate =  17;    (* TEXT in Baum BACKUPACTION *)

    cRestoredial =  24;    (* Formular/Dialog *)
    cRestall  =   4;    (* BUTTON in Baum RESTOREDIAL *)
    cRestmarked =   5;    (* BUTTON in Baum RESTOREDIAL *)
    cRestorig =   7;    (* BUTTON in Baum RESTOREDIAL *)
    cRestdest =   8;    (* BUTTON in Baum RESTOREDIAL *)
    cRestok   =  10;    (* BUTTON in Baum RESTOREDIAL *)
    cRestabort =  11;    (* BUTTON in Baum RESTOREDIAL *)

    cAddfiles =  25;    (* Formular/Dialog *)
    cAddfilesname =   3;    (* FTEXT in Baum ADDFILES *)
    cAddfilesadd =   5;    (* BUTTON in Baum ADDFILES *)
    cAddfilessub =   6;    (* BUTTON in Baum ADDFILES *)
    cAddfilesrekursiv =   7;    (* BUTTON in Baum ADDFILES *)
    cAddfilesok =   9;    (* BUTTON in Baum ADDFILES *)
    cAddfilesabort =  10;    (* BUTTON in Baum ADDFILES *)

    cAddattr  =  26;    (* Formular/Dialog *)
    cAddattrwrprot =   4;    (* BUTTON in Baum ADDATTR *)
    cAddattrhidden =   5;    (* BUTTON in Baum ADDATTR *)
    cAddattrsystem =   6;    (* BUTTON in Baum ADDATTR *)
    cAddattrarchiv =   7;    (* BUTTON in Baum ADDATTR *)
    cAddattradd =   9;    (* BUTTON in Baum ADDATTR *)
    cAddattrsub =  10;    (* BUTTON in Baum ADDATTR *)
    cAddattrrekursiv =  11;    (* BUTTON in Baum ADDATTR *)
    cAddattrok =  13;    (* BUTTON in Baum ADDATTR *)
    cAddattrabort =  14;    (* BUTTON in Baum ADDATTR *)

    cAdddate  =  27;    (* Formular/Dialog *)
    cAdddate1valid =   4;    (* BUTTON in Baum ADDDATE *)
    cAdddatedate1 =   5;    (* FTEXT in Baum ADDDATE *)
    cAdddatetime1 =   6;    (* FTEXT in Baum ADDDATE *)
    cAdddateadd =   8;    (* BUTTON in Baum ADDDATE *)
    cAdddatesub =   9;    (* BUTTON in Baum ADDDATE *)
    cAdddaterekursiv =  10;    (* BUTTON in Baum ADDDATE *)
    cAdddate2valid =  12;    (* BUTTON in Baum ADDDATE *)
    cAdddatedate2 =  13;    (* FTEXT in Baum ADDDATE *)
    cAdddatetime2 =  14;    (* FTEXT in Baum ADDDATE *)
    cAdddateok =  16;    (* BUTTON in Baum ADDDATE *)
    cAdddateabort =  17;    (* BUTTON in Baum ADDDATE *)

    cIndexinfo =  28;    (* Formular/Dialog *)
    cIndexfolders =   3;    (* FTEXT in Baum INDEXINFO *)
    cIndexfiles =   4;    (* FTEXT in Baum INDEXINFO *)
    cIndexbytes =   5;    (* FTEXT in Baum INDEXINFO *)
    cIndexselfolders =   7;    (* FTEXT in Baum INDEXINFO *)
    cIndexselfiles =   8;    (* FTEXT in Baum INDEXINFO *)
    cIndexselbytes =   9;    (* FTEXT in Baum INDEXINFO *)

    cPassword =  29;    (* Formular/Dialog *)
    cPassworduser =   3;    (* FTEXT in Baum PASSWORD *)
    cPasswordpwd =   5;    (* FTEXT in Baum PASSWORD *)
    cPasswordok =   8;    (* BUTTON in Baum PASSWORD *)
    cPasswordabort =   9;    (* BUTTON in Baum PASSWORD *)

    cSeldrives =  30;    (* Formular/Dialog *)
    cDriveselc =   3;    (* BOXCHAR in Baum SELDRIVES *)
    cDriveselz =  26;    (* BOXCHAR in Baum SELDRIVES *)
    cDriveselabort =  28;    (* BUTTON in Baum SELDRIVES *)
    cDriveselok =  29;    (* BUTTON in Baum SELDRIVES *)
    cDriveselall =  30;    (* BUTTON in Baum SELDRIVES *)

    cFontselektor =  31;    (* Formular/Dialog *)
    cFontok   =   4;    (* BUTTON in Baum FONTSELEKTOR *)
    cFontcancel =   5;    (* BUTTON in Baum FONTSELEKTOR *)
    cApplyfont =   6;    (* BUTTON in Baum FONTSELEKTOR *)
    cFontcirc =   8;    (* BOXCHAR in Baum FONTSELEKTOR *)
    cFontpop  =   9;    (* FBOXTEXT in Baum FONTSELEKTOR *)
    cSizecirc =  11;    (* BOXCHAR in Baum FONTSELEKTOR *)
    cSizepop  =  12;    (* FBOXTEXT in Baum FONTSELEKTOR *)
    cSizeedit =  13;    (* FBOXTEXT in Baum FONTSELEKTOR *)
    cFontfeld =  15;    (* TEXT in Baum FONTSELEKTOR *)

    cRegister =  32;    (* Formular/Dialog *)
    cRegname  =   3;    (* FTEXT in Baum REGISTER *)
    cRegstreet =   4;    (* FTEXT in Baum REGISTER *)
    cRegcity  =   5;    (* FTEXT in Baum REGISTER *)
    cRegkey   =   6;    (* FTEXT in Baum REGISTER *)
    cRegok    =   8;    (* BUTTON in Baum REGISTER *)
    cRegabort =   9;    (* BUTTON in Baum REGISTER *)
    cRegstreamer =  10;    (* FTEXT in Baum REGISTER *)

    cSearchstreamer =  33;    (* Formular/Dialog *)
    cSearchbox =   2;    (* BOXTEXT in Baum SEARCHSTREAMER *)

    cSelstreamer =  34;    (* Formular/Dialog *)
    cSelstrlist =   5;    (* BOX in Baum SELSTREAMER *)
    cSelstrdown =  12;    (* BOXCHAR in Baum SELSTREAMER *)
    cSelstrslide =  14;    (* BOX in Baum SELSTREAMER *)
    cSelstrup =  15;    (* BOXCHAR in Baum SELSTREAMER *)
    cSelstrabort =  17;    (* BUTTON in Baum SELSTREAMER *)
    cSelstrok =  18;    (* BUTTON in Baum SELSTREAMER *)

    cSelplug  =  35;    (* Formular/Dialog *)
    cPlugitems =   5;    (* BOX in Baum SELPLUG *)
    cPlugdown =  14;    (* BOXCHAR in Baum SELPLUG *)
    cPlugslide =  16;    (* BOX in Baum SELPLUG *)
    cPlugup   =  17;    (* BOXCHAR in Baum SELPLUG *)
    cPlugabort =  21;    (* BUTTON in Baum SELPLUG *)
    cPlugok   =  22;    (* BUTTON in Baum SELPLUG *)

    cPluginfo =  36;    (* Formular/Dialog *)
    cPlinfslot =   4;    (* STRING in Baum PLUGINFO *)
    cPlinfname =   6;    (* STRING in Baum PLUGINFO *)
    cPlinftext =   8;    (* STRING in Baum PLUGINFO *)

    cReadindex =  37;    (* Formular/Dialog *)
    cReadindabort =   4;    (* BUTTON in Baum READINDEX *)
    cReadindok =   5;    (* BUTTON in Baum READINDEX *)
    cReadinddown =   8;    (* BOXCHAR in Baum READINDEX *)
    cReadindup =   9;    (* BOXCHAR in Baum READINDEX *)
    cReadindno =  10;    (* BOXTEXT in Baum READINDEX *)

    cName     =  38;    (* Formular/Dialog *)
    cNamesource =   3;    (* FTEXT in Baum NAME *)
    cNamedest =   5;    (* FTEXT in Baum NAME *)
    cNameskip =   8;    (* BUTTON in Baum NAME *)
    cNamereplace =   9;    (* BUTTON in Baum NAME *)
    cNameabort =  10;    (* BUTTON in Baum NAME *)
    cNameok   =  11;    (* BUTTON in Baum NAME *)

    cNomorewindows =   0;    (* Alert String *)
END GemarRsc.
